Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest.representations
Class JmxCompositeDataRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.webadmin.rest.representations.JmxCompositeDataRepresentation

    public class JmxCompositeDataRepresentation

extends ObjectRepresentation

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary
`protected CompositeData` | `data`

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`JmxCompositeDataRepresentation(CompositeData data)`

Method Summary
`ValueRepresentation` | `getDescription()`
`ValueRepresentation` | `getType()`
`ListRepresentation` | `getValue()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected CompositeData data

Constructor Detail

### JmxCompositeDataRepresentation

    public JmxCompositeDataRepresentation(CompositeData data)

Method Detail

### getType

    public ValueRepresentation getType()

### getDescription

    public ValueRepresentation getDescription()

### getValue

    public ListRepresentation getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.